#!/usr/bin/perl -i

$name = $ARGV[0];
$name =~ s/\..*//;
$name =~ y/a-z/A-Z/;
$sec = $ARGV[0];
$sec =~ s/.*\.//;

while (<>) {
  /END HEAD/ and last;
}

use POSIX qw(strftime);
$now = strftime "%B %Y", localtime;
print ".TH $name $sec \"" . $now .  "\" \"Gont Distribution\" \"Gont Programmer Manual\"\n";

while (<>) {
  /NAME/ and last;
}

LINE: while (<>) {
  /^\s*([a-z0-9A-Z_-]*)\s+-\s+(.*?)(<BR>)?$/ and do {
    print ".SH NAME\n$1 \\- $2\n";
    last LINE;
  }
}


while (<>) {
  s/<BR>/\n.br\n/;
  s|<B>([^<]*)</B>\s*|\n.B $1\n|g;
  s|<I>([^<]*)</I>\s*|\n.I $1\n|g;
  s/<LI>/.TP/;
  s|</?UL>||g;
  s/\n+/\n/g;
  s/\n*$/\n/;
  s/^\n*//;
  /^\s*$/ or print;
  /ENDMAN/ and last;
}
